<?php
	require_once '../controller/CheckLoginState.php';
?>
<html>
<head>
<title>学院信息管理</title>
<link href="/css/manage.css" rel="Stylesheet" type="text/css" />
<script src="/opennew/alert.js" type="text/javascript"></script>
<script src="/opennew/Dialog.js" type="text/javascript"></script>
<script src="/js/ajax.js" type="text/javascript"></script>
<script src="/js/util.js" type="text/javascript"></script>
<script src="../js/calendar.js"></script>
<script>
function changepage(totalPage)
{
    var pageValue=document.collegeInfoQueryForm.pageValue.value;
    if(pageValue>totalPage) {
        alert('你输入的页码超出了总页数!');
        return ;
    }
    document.collegeInfoQueryForm.pageNow.value = pageValue;
    document.collegeInfoQueryForm.submit();
}

/*跳转到查询结果的某页*/
function GoToPage(currentPage/*,totalPage*/) {
    //if(currentPage==0) return;
    //if(currentPage>totalPage) return;
    document.forms[0].pageNow.value = currentPage;
    document.forms[0].submit();
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
	<div id="container">
		<div id="title">
			<table width="98%" border="0" cellpadding="0" cellspacing="2" align="center">
				<tr>
					<td height="21"><img src="../images/ico/ico08.gif" alt="" />
						<strong>学院信息管理</strong><script type="text/javascript">writeSpaces(105);</script>
						<img src="../images/print.jpg" title="打印" style="cursor: hand;" alt="" onclick="preview();">
					</td>
				</tr>
			</table>
		</div>

		<div id="content">
			<form id="collegeInfoQueryForm" name="collegeInfoQueryForm" action="/controller/CollegeInfoAction.php?action=query" method="post">
				<!--startprint-->
							<input type=hidden name=pageNow value="1" />
						</td>
					</tr>
				</table>


				<table width="98%" border="1" cellspacing="1" cellpadding="2" align="center" style="margin: 0px;">
					<tr class="a1" style="color: #ffffff; font-size: 12px;" height="30">
						<th>学院编号</th>
						<th>学院名称</th>
						<th>成立日期</th>
						<th>院长姓名</th>
						<th>联系电话</th>
						<th width="60px">操作</th>
					</tr> 
<?php
for($i = 0; $i < count ( $fenyePage->res_array ); $i ++) {
	$row = $fenyePage->res_array [$i];
	echo "<td id=collegeNumber_{$row['collegeNumber']}>{$row['collegeNumber']}</td>";
	echo "<td id=collegeName_{$row['collegeNumber']}>{$row['collegeName']}</td>";
	echo "<td id=collegeBirthDate_{$row['collegeNumber']}>" . date ( "Y-m-d", strtotime ( $row ['collegeBirthDate'] ) ) . "</td>";
	echo "<td id=collegeMan_{$row['collegeNumber']}>{$row['collegeMan']}</td>";
	echo "<td id=collegeTelephone_{$row['collegeNumber']}>{$row['collegeTelephone']}</td>";
	echo "<td><div align='left'><a href='#' onclick=\"OpenEditCollegeInfo('{$row['collegeNumber']}', '修改学院信息','{$row['collegeNumber']}');\">修改</a>&nbsp;&nbsp;</div><div align=\"right\"><a href='CollegeInfoAction.php?action=del&collegeNumber={$row['collegeNumber']}' onclick=\"return confirm('警告：您确认删除吗？');\">删除</a></div></td>";
	echo "</tr>";
}
echo "<input type=button id='Ajax_Btn' style='display:none;' onclick='Ajax_GetCollegeInfo();' />";
echo "</table>";
// 显示上一页和下一页
echo $fenyePage->navigate;
?>
&nbsp;跳转到： <input name="pageValue" type="text" size="4" style="height: 20px; width: 30px; border: 1px solid #999999;" />页
<img src="../images/go.gif" style="cursor: hand;" onclick="changepage(<?php echo $fenyePage->pageCount ?>);" width="37" height="15" />
				<!--endprint-->
			</form>
		</div>
	</div>
</body>
</html>
